[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TFieldDefs.Find

Find item by name

## Declaration

Source position: db.pas line 223

`public function TFieldDefs.Find(`
`const AName: string`
`):TFieldDef;`

## Arguments

`AName` |  | Name to search for

## Function result

TFieldDef instance with name AName or Nil

## Description

Find simply calls the inherited TDefCollection.Find to find an item with name AName and typecasts the result to TFieldDef.

## See also

TDefCollection.Find |  | Find an item by name
TNamedItem.Name |  | Name of the item